project:
  type: website
  output-dir: www/
  render:
    - "*.qmd"
    - "!chp*.qmd"
    - "!analysis/"
    - "!*ignored.qmd"
    - "!*ignored/"


title: "区域水环境污染数据分析实践"
lang: zh
date: today
bibliography: [BB/Ref.bib, BB/localRef.bib]

website:
  title: "Version: {{< var branch >}}"
  reader-mode: true
  site-url: https://drwater.rcees.ac.cn/{{< var projtype >}}/{{< var pubtype >}}/{{< var reponame >}}/@{{< var branch >}}
  repo-url: https://drwater.rcees.ac.cn/git/{{< var projtype >}}/{{< var reponame >}}/src/branch/{{< var branch >}}
  repo-actions: [edit, source, issue]
  page-navigation: true
  page-footer: "Copyright 2024, [Ming Su](https://drwater.rcees.ac.cn)"
  navbar:
    background: "light"
    search: true
    right:
      - icon: house
        text: "Home"
        file: index.qmd
      - text: "Slides"
        file: SD/index.qmd
      - text: "About"
        file: about.qmd
      - icon: git
        menu:
          - text: Edit
            url: https://drwater.rcees.ac.cn/git/{{< var projtype >}}/{{< var reponame >}}/_edit/
          - text: Issue
            url: https://drwater.rcees.ac.cn/git/{{< var projtype >}}/{{< var reponame >}}/issues
  comments: 
    hypothesis:
      theme: clean
      openSidebar: false

format:
  html:
    theme: cosmo
    css: _extensions/inst/css/style.css
    toc: true
    code-link: true
